## org.hibernate.metamodel.relational
Interface Value

All Known Subinterfaces:
  SimpleValue

All Known Implementing Classes:
  AbstractSimpleValue, Column, DerivedValue, Tuple

    public interface Value

Models a value within a `ValueContainer`. This will generally be either a `column` or a `derived value`, but we also allow the notion of `Tuple` at this level

Nested Class Summary
`static class` `Value.JdbcCodes` Used to track JDBC type usage throughout a series of potential recursive calls to component values since we do not know ahead of time which values correspond to which indexes of the jdbc type array.

Method Summary
`TableSpecification` `getTable()` Retrieve the table that owns this value.
`String` `toLoggableString()` Obtain the string representation of this value usable in log statements.
`void` `validateJdbcTypes(Value.JdbcCodes typeCodes)` Validate the value against the incoming JDBC type code array, both in terms of number of types and compatibility of types.

Method Detail

### getTable

    TableSpecification getTable()

  Retrieve the table that owns this value.

  Returns:
    The owning table.

### toLoggableString

    String toLoggableString()

  Obtain the string representation of this value usable in log statements.

  Returns:
    The loggable representation

### validateJdbcTypes

    void validateJdbcTypes(Value.JdbcCodes typeCodes)

  Validate the value against the incoming JDBC type code array, both in terms of number of types and compatibility of types.

  Parameters:
    `typeCodes` - The type codes.
  Throws:
    `ValidationException` - if validaton fails.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.